=== debian/changelog ===
esh (0.3.2-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2.
  * d/copyright: Remove copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 30 Aug 2025 00:53:12 +0800

esh (0.3.2-2) unstable; urgency=medium

  * d/copyright: Fix Upstream-Contact.
  * d/control: Set Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Oct 2024 01:47:44 +0800

esh (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1082395)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 21 Sep 2024 00:35:40 +0800
