=== debian/control ===
Source: esh
Section: shells
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 asciidoctor,
Standards-Version: 4.7.2
Homepage: https://github.com/jirutka/esh
Vcs-Browser: https://salsa.debian.org/debian/esh
Vcs-Git: https://salsa.debian.org/debian/esh.git

Package: esh
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: templating engine for evaluating shell commands embedded in arbitrary templates
 esh (embedded shell) is a templating engine for evaluating shell commands
 embedded in arbitrary templates. It’s like ERB (Embedded RuBy) for shell,
 intended to be used for templating configuration files. Unlike ERB it provides
 support for including one ESH template into another (since version 0.2.0).
 .
 The template processing consists of two phases: conversion to a shell script
 and evaluation of that script. You can even run just the conversion phase: esh
 -d will dump a shell script that you can execute directly by a shell (even on a
 system without esh installed). However, in that case, you will not get error
 messages source-mapped to point to the locations in the template file.
